package com.landray.kmss.sys.attachment.ocx;

import com.landray.kmss.sys.profile.util.ProfileMenuUtil;
import com.landray.kmss.sys.attachment.util.SysAttConfigUtil;
import com.landray.kmss.util.StringUtil;

public class SysAttOcxUtil
{
    public static final String OCX_DEFAULT = "01";
    public static final String OCX_JG = "02";
    public static final String OCX_WPS_CLOUD = "03";
    public static final String OCX_NTKO = "04";
    public static final String OCX_WPS_WEB_OFFICE = "05";
    public static final String OCX_WPS_OA_ASSIST_VALUE = "06";
    public static final String OCX_WPS_CENTER = "07";
    public static final String OCX_YZ_WEB_OFFICE = "08";
    public static final String OCX_WPS_CENTER_V7 = "09";
    public static final String VIEW = "view";
    public static final String EDIT = "edit";
    
    public static String getOcxPageForward(final String fdKey, final String fdModelName, final String pageMode) {
        String forward = "";
        final String forwardPrefix = String.valueOf(pageMode) + "online_";
        String ocxName = SysAttOcxPluginUtil.getConfigOcxName(fdKey, fdModelName);
        if (StringUtil.isNotNull(ocxName)) {
            if ("01".equals(ocxName)) {
                try {
                    final String onlineToolType = SysAttConfigUtil.getOnlineToolType();
                    if ("0".equals(onlineToolType)) {
                        ocxName = "02";
                    }
                    else if ("1".equals(onlineToolType)) {
                        ocxName = "03";
                    }
                    else if ("3".equals(onlineToolType)) {
                        ocxName = "06";
                    }
                    else if ("4".equals(onlineToolType)) {
                        ocxName = "07";
                    }
                    else if ("5".equals(onlineToolType)) {
                        ocxName = "08";
                    }
                    else if ("6".equals(onlineToolType)) {
                        ocxName = "09";
                    }
                }
                catch (final Exception ex) {}
            }
            if ("02".equals(ocxName)) {
                if ("edit".equals(pageMode)) {
                    final boolean hasClause = ProfileMenuUtil.moduleExist("/km/clause");
                    if (hasClause) {
                        forward = String.valueOf(forwardPrefix) + "doc_jg";
                    }
                    else {
                        forward = String.valueOf(forwardPrefix) + "jg";
                    }
                }
                else {
                    forward = String.valueOf(forwardPrefix) + "jg";
                }
            }
            else if ("03".equals(ocxName)) {
                forward = String.valueOf(forwardPrefix) + "wps_cloud";
            }
            else if ("05".equals(ocxName)) {
                forward = String.valueOf(forwardPrefix) + "wps";
            }
            else if ("07".equals(ocxName)) {
                if ("edit".equals(pageMode)) {
                    final boolean hasClause = ProfileMenuUtil.moduleExist("/km/clause");
                    if (hasClause) {
                        forward = String.valueOf(forwardPrefix) + "doc_wps_center";
                    }
                    else {
                        forward = String.valueOf(forwardPrefix) + "wps_center";
                    }
                }
                else {
                    forward = String.valueOf(forwardPrefix) + "wps_center";
                }
            }
            else if ("08".equals(ocxName)) {
                forward = "sysAttOnLineThirdSfs";
            }
            else if ("09".equals(ocxName)) {
                forward = "sysAttOnLineThirdSfs";
            }
        }
        return forward;
    }
    
    public static String getOcxType(final String fdKey, final String fdModelName) {
        return SysAttOcxPluginUtil.getConfigOcxName(fdKey, fdModelName);
    }
    
    public static String getDocOcxName(final String fdKey, final String fdModelName) {
        final String ocxName = SysAttOcxPluginUtil.getConfigOcxName(fdKey, fdModelName);
        return ocxName;
    }
}
